shadow = false;
shadow-radius = 5;
shadow-offset-x = -1;
shadow-offset-y = -1;

shadow-opacity = 0.6;

detect-transient = true;
inactive-opacity-override = true;
detect-client-leader = true;
detect-client-opacity = true;
opacity-rule = [
    "95:class_g = 'Rofi'",
    "85:class_g = 'Polybar'"
];

mark-wmwin-focused = true;
mark-ovredir-focused = true;
detect-rounded-corners = true;

focus-exclude = [ "class_g = 'Rofi'" ];
shadow-exclude = [
    "! name~=''",
    "name = 'Notification'",
    "name *= 'VirtualBox'",
    "name *= 'VLC'",
    "name *= 'picom'",
    #"class_g ?= 'Conky'",
    "class_g ?= 'Notify-osd'",
    "class_g ?= 'Xfce4-power-manager'",
    "_GTK_FRAME_EXTENTS@:c"
];

wintypes:
{
  dock = { shadow = false; };
  tooltip = { shadow = false; };
  dropdown_menu = { shadow = false; };
  popup_menu =  { shadow = false; };
};

# Specify the backend to use: `xrender`, `glx`, or `xr_glx_hybrid`.
#`xrender` is the default one.
#
#backend = "xrender";
backend = "glx";

# Enable/disable VSync.
vsync = true;

# GLX backend: Avoid rebinding pixmap on window damage. 
# Probably could improve performance on rapid window content changes, 
# but is known to break things on some drivers (LLVMpipe, xf86-video-intel, etc.).
# Recommended if it works.
#
#glx-no-rebind-pixmap = true;